# Qooxdoo Manual (v${qooxdoo.version})

This is an overview of Qooxdoo's comprehensive feature-set and the extensive
documentation that comes with it. The [sidebar](_sidebar.md) contains a more
detailed table of contents.

## [Qooxdoo Core](core/) 

A dedicated class system with custom class properties, data binding and a 
runtime environment.

## [Qooxdoo UI](gui/)

The UI layer of Qooxdoo, providing a rich set of widgets which can be used to
create professional web-based applications.

## [Communication](communication/)

Qooxdoo provides three different communication APIs with a rich feature set: 
HTTP Request APIs, a REST Interface which support databinding, and a JSONRPC 
Client.

## [Qooxdoo on the Server](server/)

If you like to use the same development paradigm for the client and the server,
Qooxdoo has you covered - Use Qooxdoo's class system and tooling with NodeJS.

## [Development Tools & Topics](development/)

Qooxdoo comes with a sophisticated tool chain including a compiler which 
transforms your code into highly optimized source bundles that are loaded by 
the browser, a package system which allows to share and reuse code, and a unit
testing framework. Plus a whole suite of [useful applications](apps.md).    

## [Qooxdoo for Mobile](mobile/)

Mobile is Qooxdoo's mobile framework. It provides specific UI classes for
touch devices, handling of mobile events like swiping, and specific styling.

## [Tutorials](tutorial/)

Our tutorials on how to create a [Desktop App](tutorial/twitter/) and a 
[Mobile App](mobile/tutorial.md).
